Bug 435661 - (midori) Review Request: midori - A lightweight GTK+ web browser
Review Request: midori - A lightweight GTK+ web browser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 00:07 EST by Peter Gordon
Modified: 2015-09-07 03:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.0.17-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2008-03-03 00:07:33 EST
Spec URL: http://pgordon.fedorapeople.org/for-review/midori.spec
SRPM URL: http://pgordon.fedorapeople.org/for-review/midori-0.0.17-1.src.rpm

Description: %description
Midori is a lightweight web browser, and has many features expected of a
modern browser, including:
* Full integration with GTK+2.
* Fast rendering with WebKit.
* Tabs, windows and session management.
* Bookmarks are stored with XBEL.
* Searchbox based on OpenSearch.
* Custom context menu actions.
* User scripts and user styles support.
* Extensible via Lua scripts.

The project is currently in an early alpha state. The features are still being
implemented, and some are still quite incomplete.
Comment 1 Peter Gordon 2008-03-03 00:13:10 EST
Assigning to David at his request via our Jabber conversation a couple of days ago.
Comment 2 David Nielsen 2008-03-03 05:14:02 EST
=== GOOD ===
+ Package naming/version is OK. Spec file is appropriately named ("%{name}.spec").
+ License (LGPLv2+) is acceptable for Fedora and matches that of the code.
+ Final file and directory ownership is OK, with no duplicates and appropriate
%defattr lines.
+ BuildRoot is OK, and is properly removed as the first step in %install and as
the only step in %clean.
+ Final requires/provides are sane.
+ Summary and %description are good. The spec is legible and written in American
English.
+ File encodings are OK.
+ Compiler flags are honored; and parallel make is used.
+ No static libraries or libtool archives present.
+ Binaries contain no RPATH kludges.
+ Macro usage is consistent.
+ Timestamps look OK.
+ Package does not seem to conflict with other Fedora stuff.
+ License is included in the package (COPYING).
+ Sources match those of upstream:
  58d1b7ed282540030eb1b5803b760865  ../SOURCES/midori-0.0.17.tar.gz
  58d1b7ed282540030eb1b5803b760865  ../COMPARE/midori-0.0.17.tar.gz
+ Package contains permissible code.
+ Documentation (%doc) does not affect runtime of the program.
+ All filenames are valid UTF-8 
+ Correct .desktop file handling 

=== BAD ===
Rpmlint complaints:
midori.src: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 3)
(actually rpmlint is wrong you have spurious space use in lines: 14, 17, 18
twice, 20, 54 twice and 55)

midori-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/midori-0.0.17/src/main.c

Missing br for desktop-file-utils

=== N/A ==
* Scriplets are OK, including user/group creation in %pre and /sbin/ldconfig
invocations on %post/%postun for the installed shared libraries.
* Header files, pkgconfig data, and unversioned library symlinkes are in a
-devel subpackage as required. It has proper dependencies on the main package
and pkgconfig.
* Locale files handled appropriately (via %find_lang).
* Package is not relocatable.
* No large documentation; no -doc subpackage is necessary.

As an application midori isn't terribly stable, I can crash it in a minute or
so, but hey it's a beta.

Comment 3 Peter Gordon 2008-03-03 22:27:27 EST
Thanks for the review, David. I've fixed up the issues you've noted and posted
new files for it.

Spec URL: http://pgordon.fedorapeople.org/for-review/midori.spec
SRPM URL: http://pgordon.fedorapeople.org/for-review/midori-0.0.17-2.src.rpm

Also, please remember to set the fedora-review flag to '?' while this is in
review, or '+'/'-' when it is accepted/rejected as applicable. =)


Comment 4 David Nielsen 2008-03-04 06:22:15 EST
Excellent, since it now builds in mock and I have no further complaints, let's
call it APPROVED.
Comment 5 Peter Gordon 2008-03-04 20:17:44 EST
Awesome. Thank you, good sir! :)

New Package CVS Request
=======================
Package Name: Midori
Short Description: A lightweight GTK+ web browser
Owners: pgordon
Branches: devel F-8 F-7
InitialCC: (none)
Cvsextras Commits: Yes
Comment 6 Peter Gordon 2008-03-07 04:21:17 EST
Ugh...knew I forgot to do something. Setting the CVS flag per above. 
Comment 7 Kevin Fenzi 2008-03-07 12:52:20 EST
Humm... there is a case issue here. 

Is the package called "Midori" or "midori"? 
Your specs use the lowercase, but the review name and your cvs request use upper
case. 
Comment 8 Peter Gordon 2008-03-07 12:56:20 EST
It should be lowercase ("midori"). Sorry for the confusion, Kevin. :)
Comment 9 Kevin Fenzi 2008-03-07 13:03:40 EST
No problem. 

cvs done.
Comment 10 Fedora Update System 2008-03-07 17:36:05 EST
midori-0.0.17-2.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-03-07 17:36:49 EST
midori-0.0.17-2.fc7 has been submitted as an update for Fedora 7
Comment 12 Fedora Update System 2008-03-13 03:40:30 EDT
midori-0.0.17-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update midori'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2384
Comment 13 Fedora Update System 2008-03-21 18:11:42 EDT
midori-0.0.17-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-03-21 18:15:44 EDT
midori-0.0.17-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Joachim Frieben 2008-12-18 07:35:30 EST
midori-0.1.1 has been released as of 2008-12-01.
Comment 16 Mamoru TASAKA 2008-12-18 08:52:03 EST
Please don't write such RFEs on already closed review
requests. Please open a new bug report against the right
component instead.

Note You need to log in before you can comment on or make changes to this bug.